"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Renderer = void 0;
const hooks_1 = require("../utils/hooks");
const theme_1 = require("./theme");
const fs_1 = require("../utils/fs");
class Renderer {
    constructor(application) {
        this.application = application;
        /**
         * Hooks which plugins can use to modify the rendered output.
         */
        this.hooks = new hooks_1.EventHooks();
    }
    async render(project, out) {
        if (this.application.options.getValue("cleanOutputDir")) {
            await fs_1.remove(out);
        }
        await theme_1.defaultTheme(this.application, project, out);
    }
}
exports.Renderer = Renderer;
//# sourceMappingURL=index.js.map